import cn.hutool.core.lang.Assert;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.dayou.BaseApplication;
import com.dayou.bo.LeaderRatioBO;
import com.dayou.configuration.AsyncManager;
import com.dayou.controller.ItemController;
import com.dayou.dto.ItemDTO;
import com.dayou.entity.BrokerageMarketerRatio;
import com.dayou.entity.Customer;
import com.dayou.entity.ItemBrokerageGeneral;
import com.dayou.service.*;
import com.dayou.service.impl.ItemBrokerageSequenceServiceImpl;
import com.dayou.vo.ItemStatVO;
import com.google.common.cache.Cache;
import com.google.common.cache.LoadingCache;
import com.google.common.collect.Lists;
import com.zaxxer.hikari.HikariDataSource;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.ApplicationContext;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.math.BigDecimal;
import java.util.*;
import java.util.concurrent.ExecutionException;
import java.util.function.Consumer;
import java.util.function.Function;
import java.util.function.Predicate;
import java.util.function.ToDoubleFunction;
import java.util.stream.Collectors;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/6
 * created with IntelliJ IDEA.
 */
@Slf4j
@SpringBootTest(classes = BaseApplication.class)
@RunWith(SpringJUnit4ClassRunner.class)
public class BrokerageTest {

    @Autowired
    private LoadingCache<String,BigDecimal> marketerRatioCache;

    @Autowired
    private LoadingCache<Long,BigDecimal> baseAmountsCache;

    @Autowired
    private LoadingCache<String,BigDecimal> globalConfigCache;

    @Autowired
    private ICustomerService customerService;

    @Autowired
    private IItemBrokerageSequenceService itemBrokerageSequenceService;

    private HikariDataSource hikariDataSource;

    @Autowired
    private IUserService userService;
    
    @Autowired
    private IMarketStatService marketStatService;




    @Test
    public void testBrokerageCache() throws ExecutionException {
        Set<Long> juniorUserId = userService.getJuniorUserId(117L);
        BigDecimal bigDecimal = marketStatService.currentYearTeamPayment(juniorUserId);
        System.out.println(bigDecimal);
    }

    public static void main(String ages []) {

        new Thread(()->{System.out.println("xxx");}).start();
        List<Integer> list = Arrays.asList(1,2,3,4,5,6);

        List<Integer> collect = list.stream().map(x->(x+1)).collect(Collectors.toList());

        ItemController itemController = new ItemController();
        List<Integer> collect1 = list.stream().map(x->x+1).collect(Collectors.toList());
        list.stream().filter(x->x>2).collect(Collectors.toList());
        list.stream().forEach(x->System.out.println(x));
        List<Integer> collect2 = list.stream().limit(3L).collect(Collectors.toList());
        list.stream().sorted((x,y)->-1).collect(Collectors.toList());
        double sum = list.stream().mapToDouble(value->Double.valueOf(value)).sum();
    }



}