package com.dayou.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/20
 * created with IntelliJ IDEA.
 */
@Data
public class BrokerageSequenceDetailVO {

    /**
     * 结算详情id
     */
    private Long id;

    /**
     * 项目名称
     */
    private String itemName;
    /**
     * 阶段名称
     */
    private String stageName;

    /**
     * 人员名称
     */
    private String userName;


    /**
     * 结算金额
     */
    private BigDecimal brokerageAmount;

    /**
     * 结算类型
     */
    private String brokerageCate;

    /**
     * 预计提成金额
     */
    private BigDecimal predictAmount;

    /**
     * 提成规则
     */
    private String brokerageRule;

    /**
     * 提成方式
     */
    private String brokerageMode;

    /**
     * 结算时间
     */
    private Date created;


    /**
     * 修改时间
     *
     * @ignore
     */
    private Date modified;

    /**
     * 标志位
     *
     * @ignore
     */
    private Boolean deleted;


}
