package com.dayou.service;
import com.dayou.dto.SalarySettleDTO;
import com.dayou.entity.ItemBrokerageSequence;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.BrokerageSequenceVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 项目提成流水 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
public interface IItemBrokerageSequenceService extends IService<ItemBrokerageSequence> {

        Page<BrokerageSequenceVO> selectPage(Page page, BrokerageSequenceVO brokerageSequenceVO);

        ItemBrokerageSequence detail(Long id);

        Boolean add(ItemBrokerageSequence itemBrokerageSequence);

        Boolean update(ItemBrokerageSequence itemBrokerageSequence);

        Boolean delete(Long id);

        Boolean doNonMarketerAheadSettle();

        Boolean doAbleItemBrokerageSettle();

        List<BrokerageSequenceVO> deduction(BrokerageSequenceVO brokerageSequenceVO);
}
